%define	major	16

%define girmajor 1.0
%define girname_plugin %mklibname packagekitplugin-gir  %{girmajor}
%define girname_glib %mklibname packagekitglib-gir  %{girmajor}

%define	libname %mklibname %{name}-glib %{major}
%define	qt2major 2
%define	qt2lib	%mklibname %{name}-qt2_ %{qt2major}
%define	devname	%mklibname -d %{name}

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.8.11
Release:	3
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://www.packagekit.org
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.xz
Patch1:		packagekit-0.8.10-vendor.patch
Patch2:		packagekit-0.8.10-rosa-add-rosa-support-in-urpmi-backend.patch
Patch3:		PackageKit-0.8.10-ROSA-turn-off-time.conf.patch
Patch4:		PackageKit-0.8.10-libexecdir.patch
Patch5:		packagekit-0.8.10-increase-command-not-found-install-timeout.patch
Patch6:		packagekit-0.8.10-porting_error_disable.patch
Patch7:		packagekit-0.8.11-fix-urpmi-backend.patch

BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gio-2.0) >= 2.16.1
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16.1
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(mozilla-plugin) >= 8.0
BuildRequires: pkgconfig(NetworkManager) >= 0.6.4
BuildRequires: pkgconfig(nspr) >= 4.8
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangoft2)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.98
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(pm-utils)
BuildRequires: pkgconfig(xt)
BuildRequires: intltool
BuildRequires: pkgconfig(bash-completion)

# fonts package in Mandriva do not have needed provides yet to be useful
Suggests:	%{name}-gtk3-module = %{version}
Suggests:	packagekit-gui
# No gtk2 plugin anymore
Obsoletes:	packagekit-gtk-module

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n	%{libname}
Summary:	Libraries for accessing PackageKit
Group:		System/Configuration/Packaging

%description -n	%{libname}
Libraries for accessing PackageKit.

%package -n %{girname_plugin}
Summary:    GObject Introspection interface library for %{name} plugin
Group:      System/Libraries

%description -n %{girname_plugin}
GObject Introspection interface library for %{name} plugin.

%package -n %{girname_glib}
Summary:    GObject Introspection interface library for %{name} glib
Group:      System/Libraries

%description -n %{girname_glib}
GObject Introspection interface library for %{name} glib.

%package -n %{devname}
Summary:    Libraries and headers for PackageKit
Group:      Development/Other
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname_glib} = %{version}-%{release}
Requires:   %{girname_plugin} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  packagekit-qt-devel < %{version}

%description -n	%{devname}
Headers and libraries for PackageKit.

%package	cron
Summary:	Cron job and related utilities for PackageKit
Group:		System/Configuration/Packaging
Requires:	crontabs
Requires:	%{name} = %{version}-%{release}

%description	cron
Crontab and utilities for running PackageKit as a cron job.

%package	gstreamer-plugin
Summary:	Install GStreamer codecs using PackageKit
Group:		System/Configuration/Packaging
Requires:	gstreamer0.10-tools
Requires:	%{name} = %{version}-%{release}
Requires(post):	update-alternatives
Requires(postun): update-alternatives
Provides:	gst-install-plugins-helper

%description	gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package	browser-plugin
Summary:	Browser Plugin for PackageKit
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}

%description	browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package	command-not-found
Summary:	Ask the user to install command line programs automatically
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}

%description	command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package	gtk2-module
Summary:	Install fonts automatically using PackageKit
Group:		System/Configuration/Packaging
Requires:	pango
Requires:	%{name} = %{version}-%{release}

%description	gtk2-module
The PackageKit GTK2+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package	gtk3-module
Summary:	Install fonts automatically using PackageKit
Group:		System/Configuration/Packaging
Requires:	pango
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}packagekit-glib14 < 0.7.4-2

%description	gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%setup -q -n PackageKit-%{version}
%apply_patches

# We do not install in /usr/libexec
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh.in
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh

%build
%configure2_5x --disable-static \
	--enable-gstreamer-plugin \
	--disable-alpm \
	--disable-apt \
	--disable-box \
	--disable-conary \
	--enable-dummy \
	--disable-opkg \
	--disable-pisi \
	--disable-poldek \
	--enable-introspection \
	--disable-yum \
	--disable-zypp \
	--disable-smart \
	--enable-urpmi \
	--with-default-backend=urpmi \
	--disable-local \
    --disable-strict \
    --disable-silent-rules \
    --disable-tests
find -name '*.moc' -exec rm -f {} \;
%make V=1

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

systemctl enable packagekit-offline-update.service &> /dev/null || :

%files -f PackageKit.lang
%dir %{_sysconfdir}/PackageKit
%config %{_sysconfdir}/PackageKit/PackageKit.conf
%config %{_sysconfdir}/PackageKit/Vendor.conf
%config %{_sysconfdir}/PackageKit/CommandNotFound.conf
%dir %{_sysconfdir}/PackageKit/events
%dir %{_sysconfdir}/PackageKit/events/post-transaction.d
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%dir %{_sysconfdir}/PackageKit/events/pre-transaction.d
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_datadir}/bash-completion/completions/pkcon
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{_sbindir}/pk-device-rebind
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_libdir}/packagekit-plugins/*.so
#{_mandir}/man1/*
%dir %{_var}/lib/PackageKit
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db
%dir %{_var}/cache/PackageKit
%dir %{_var}/cache/PackageKit/downloads
%{_datadir}/polkit-1/rules.d/org.freedesktop.packagekit.rules
%{_libdir}/pk-clear-offline-update
%{_libdir}/pk-offline-update
%{_libdir}/pk-trigger-offline-update
%{_libdir}/pm-utils/sleep.d/95packagekit
/lib/systemd/system/packagekit-offline-update.service

%files -n %{libname}
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{girname_plugin}
%{_libdir}/girepository-1.0/PackageKitPlugin-1.0.typelib

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib

%files -n %{devname}
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
%{_datadir}/gir-1.0/PackageKitPlugin-1.0.gir

%files cron
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%{_libexecdir}/pk-gstreamer-install

%files browser-plugin
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk2-module
%{_libdir}/gtk-2.0/modules/libpk-gtk-module.so

%files gtk3-module
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/*.desktop
%{_libdir}/gtk-3.0/modules/libpk-gtk-module.so

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.8.11-3
+ Revision: 320a15f
- MassBuild#440: Increase release tag

* Sun Dec 08 2013 Denis Silakov <denis.silakov@rosalab.ru> 0.8.11-2
+ Revision: 6dbc31e
- Added xt BR

* Mon Sep 16 2013 aponomarenko <aponomarenko@rosalab.ru> 0.8.11-2
+ Revision: 6b0b30c
- Fixed urpmi backend

* Fri Sep 13 2013 akdengi <kazancas@mandriva.ru> 0.8.11-2
+ Revision: 684c793
- return timeout patch

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.11-1
+ Revision: 44a9b8f
- fix file

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.11-1
+ Revision: a1576f4
- drop increase timeout patch and add BR pkgconfig(bash-completion)

* Wed Sep 11 2013 Alexander Kazancev <kazancas@gmail.com> 0.8.11-1
+ Revision: 9748a82
- Updated packagekit.spec

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.11-1
+ Revision: f678c71
- add BR intltool

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.11-1
+ Revision: 8969c17
- update to 0.8.11

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.10-3
+ Revision: 2303e7a
- fix backend ROSA patch

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.10-3
+ Revision: bfb80d5
- fix run

* Wed Sep 11 2013 akdengi <kazancas@mandriva.ru> 0.8.10-2
+ Revision: 83b2388
- update to 0.8.10

* Tue Sep 10 2013 akdengi <kazancas@mandriva.ru> 0.8.10-1
+ Revision: 236dc66
- enable grafite2 support

* Mon Dec 03 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-7
+ Revision: f67eac8
- Set config is replaced with update

* Sun Dec 02 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-6
+ Revision: 01a0758
- Updated packagekit.spec

* Sun Dec 02 2012 akdengi <kazancas@mandriva.ru> 0.7.6-6
+ Revision: 99dd123
- fix build

* Sun Dec 02 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-6
+ Revision: 69ead64
- Updated packagekit.spec

* Sun Dec 02 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-6
+ Revision: 4ce2f31
- Updated packagekit.spec

* Sun Dec 02 2012 akdengi <kazancas@mandriva.ru> 0.7.6-6
+ Revision: 32c1599
- reneable smart as default backend. Urpmi still broken

* Thu Nov 29 2012 akdengi <kazancas@gmail.com> 0.7.6-5
+ Revision: cb562c7
- some cleans in spec

* Thu Nov 29 2012 akdengi <kazancas@gmail.com> 0.7.6-4
+ Revision: 0842024
- fix bool2string parse media error

* Thu Nov 29 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-4
+ Revision: 1cd2341
- Updated packagekit.spec

* Wed Nov 28 2012 akdengi <kazancas@mandriva.ru> 0.7.6-4
+ Revision: 87e0262
- rediff rosa backend patch

* Wed Nov 28 2012 akdengi <kazancas@mandriva.ru> 0.7.6-4
+ Revision: 1e85e28
- fix

* Wed Nov 28 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-4
+ Revision: 0e464e4
- Updated packagekit-0.7.4-rosa-add-rosa-support-in-urpmi-backend.patch

* Wed Nov 28 2012 akdengi <kazancas@mandriva.ru> 0.7.6-4
+ Revision: bc4ec29
- Return to urpmi. Fix ROSA mirrorlists. Add Mageia patches

* Sun Nov 25 2012 Alexander Kazancev <kazancas@gmail.com> 0.7.6-3
+ Revision: 342b261
- Until repaired urpmi backend, use smart for properly work

* Sat Nov 24 2012 akdengi <kazancas@mandriva.ru> 0.7.6-2
+ Revision: 3c786bf
- use similar arch by fix repo-list and ivert media (by latest urpmi git changes)

* Tue Sep 18 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.7.6-1
+ Revision: 5cf71eb
- LOG package GTK2-module

* Tue Sep 18 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 0.7.6-1
+ Revision: 6181bf4
- fix qt2major


